DI RECENTE ACCOMAZZI...
CERCA
» Ricerca avanzata
MAILING LIST

Se vuoi iscriverti alla mailing list di Luca Accomazzi inserisci qui la tua mail:

Vuoi ricevere i messaggi immediatamente (50 invii / giorno) o in differita e in gruppo
(due invii / giorno)?

» Vuoi saperne di più?

A domanda rispondo - sezione MacOSX

Numeri di versione

Ieri sera scopro che esiste la nuova versione di Photoshop Elements, e
che va anche sotto l'X. Gaudio e tripudio, ma guardando le richieste di
sistema leggo : da MacOS X 10.1.3 a MacOS X 10.1.5.
Perché non scrivono "dalla versione 10.1.3 in su"? Che si aspettino incompatibilità varie?

Paolo Saldari

Facciamo un esperimento di immaginazione.

Tu sei Adobe. Stai per buttare fuori "Gli allegri amici di Photoshop", un videogioco dove guidi l'astronave Photoshop e devi abbattere le astronavi nemiche che hanno tutte l'icona di Coreldraw. Pensi di venderne tremendamila™ copie. Lo scrivi perché funzioni con Mac OS X 10.1.3 e superiore. Lo testi anche con Mac OS X 10.2 beta versione 34563243kxyw. Funziona splendidamente. Ti viene voglia di scrivere sulla scatola "Compatibile con Mac OS X 10.1.3 e superiore". Poi ti viene il dubbio: e se Apple all'ultimo momento cambia un cazzillo e quello sotto 10.2 non funziona più? E se i tuoi tremendamila clienti come un sol uomo ti denunciano perché gli hai venduto un software dichiarato (da te) compatibile, si fanno così pagare (da te) l'aggiornamento (tremendamila copie di un CD da spedire a tue spese) più i danni? In America succederebbe davvero...)

Tremendamila: copyright Gianni Rodari.